org.jbpm.process.workitem.jms

## Class JMSSendTaskWorkItemHandler

- java.lang.Object
- - org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler
  - - org.jbpm.process.workitem.jms.JMSSendTaskWorkItemHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler, org.kie.internal.runtime.Cacheable

      @Wid(widfile="JMSSendTaskDefinitions.wid",name="JMSSendTask",displayName="JMSSendTask",defaultHandler="mvel: new org.jbpm.process.workitem.jms.JMSSendTaskWorkItemHandler()",documentation="jbpm-workitems-jms/index.html",category="jbpm-workitems-jms",icon="JMSSendTask.png",parameters={@WidParameter(name="Signal"),@WidParameter(name="SignalProcessInstanceId"),@WidParameter(name="SignalWorkItemId"),@WidParameter(name="SignalDeploymentId"),@WidParameter(name="Data")},mavenDepends=@WidMavenDepends(group="org.jbpm",artifact="jbpm-workitems-jms",version="7.45.0.t20201014"),serviceInfo=@WidService(category="JMS",description="Send JSM messages",keywords="jsm,send,task",action=@WidAction(title="Send JMS Message"),authinfo=@WidAuth(required=true,params={"connectionFactoryName","destinationName"},paramsdescription={"Connection Factory JNDI Name","Destination JNDI Name"})))
      public class JMSSendTaskWorkItemHandler
      extends AbstractLogOrThrowWorkItemHandler
      implements org.kie.internal.runtime.Cacheable

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler

      `handlingProcessId, handlingStrategy, logThrownException, retries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSSendTaskWorkItemHandler()`
    `JMSSendTaskWorkItemHandler(javax.jms.ConnectionFactory connectionFactory, javax.jms.Destination destination)`
    `JMSSendTaskWorkItemHandler(javax.jms.ConnectionFactory connectionFactory, javax.jms.Destination destination, boolean transacted)`
    `JMSSendTaskWorkItemHandler(javax.jms.ConnectionFactory connectionFactory, javax.jms.Destination destination, boolean transacted, boolean doInit)`
    `JMSSendTaskWorkItemHandler(String connectionFactoryName, String destinationName)`
    `JMSSendTaskWorkItemHandler(String connectionFactoryName, String destinationName, boolean transacted)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `protected void` | `addPropertyIfExists(String propertyName, Object properyValue, javax.jms.Message msg)`
    `void` | `close()`
    `protected javax.jms.Message` | `createMessage(org.kie.api.runtime.process.WorkItem workItem, javax.jms.Session session)`
    `void` | `executeWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `protected void` | `init()`

    - ### Methods inherited from class org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler

      `findNodeInstance, handleException, handleException, setLogThrownException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler()

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler(String connectionFactoryName,
                                            String destinationName)

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler(javax.jms.ConnectionFactory connectionFactory,
                                            javax.jms.Destination destination)

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler(String connectionFactoryName,
                                            String destinationName,
                                            boolean transacted)

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler(javax.jms.ConnectionFactory connectionFactory,
                                            javax.jms.Destination destination,
                                            boolean transacted)

    - #### JMSSendTaskWorkItemHandler

          public JMSSendTaskWorkItemHandler(javax.jms.ConnectionFactory connectionFactory,
                                            javax.jms.Destination destination,
                                            boolean transacted,
                                            boolean doInit)

  - ### Method Detail

    - #### init

          protected void init()

    - #### createMessage

          protected javax.jms.Message createMessage(org.kie.api.runtime.process.WorkItem workItem,
                                                    javax.jms.Session session)
                                             throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

    - #### executeWorkItem

          public void executeWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                      org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `executeWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### abortWorkItem

          public void abortWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                    org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `abortWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.Cacheable`

    - #### addPropertyIfExists

          protected void addPropertyIfExists(String propertyName,
                                             Object properyValue,
                                             javax.jms.Message msg)
                                      throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.